Name:          polari
Version:       3.11.2
Release:       1%{?dist}
Summary:       Internet Relay Chat client for GNOME

# The package contains a private helper library licensed LGPLv2+,
# all program sources are GPLv2+
License:       GPLv2+ and LGPLv2+
URL:           https://wiki.gnome.org/Apps/Polari
Source0:       http://download.gnome.org/sources/%{name}/3.11/%{name}-%{version}.tar.xz

BuildRequires: gtk3-devel >= 3.9.11
BuildRequires: pkgconfig
BuildRequires: gjs
BuildRequires: gobject-introspection-devel
BuildRequires: telepathy-glib-devel
BuildRequires: desktop-file-utils
# Bootstrap requirements
BuildRequires: gtk-doc gnome-common intltool

Requires: telepathy-logger
Requires: telepathy-mission-control
Requires: telepathy-idle

%define bus_name org.gnome.Polari

%description
Polari is an Internet Relay Chat client for the GNOME desktop.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
%make_install
find %{buildroot}/%{_libdir} -name '*.la' -delete

%find_lang %{name}

desktop-file-validate %{buildroot}/%{_datadir}/applications/%{bus_name}.desktop

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
  touch --no-create %{_datadir}/icons/hicolor &>/dev/null
  gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS
%{_bindir}/%{name}
%{_datadir}/applications/%{bus_name}.desktop
%{_datadir}/appdata/%{bus_name}.appdata.xml
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/%{name}/
%{_datadir}/dbus-1/services/%{bus_name}.service
%{_libdir}/%{name}/
%{_datadir}/glib-2.0/schemas/org.gnome.polari.gschema.xml

%changelog
* Mon Sep 30 2013 Florian Müllner <fmuellner@redhat.com> - 3.11.2-1
- Initial package
